/**
 * 
 */
package x1.monitoring;

/**
 * @author joe
 * 
 */
public class ClassUsage implements MonitoringValue {

  /**
   * 
   */
  @Override
  public String getId() {
    return "class";
  }
  
  /**
   * @return the name
   */
  public String getName() {
    return name;
  }

  /**
   * @param name
   *          the name to set
   */
  public void setName(String name) {
    this.name = name;
  }

  /**
   * @return the timestamp
   */
  public long getTimestamp() {
    return timestamp;
  }

  /**
   * @param timestamp
   *          the timestamp to set
   */
  public void setTimestamp(long timestamp) {
    this.timestamp = timestamp;
  }

  /**
   * @return the totalLoadedClassCount
   */
  public long getTotalLoadedClassCount() {
    return totalLoadedClassCount;
  }

  /**
   * @param totalLoadedClassCount
   *          the totalLoadedClassCount to set
   */
  public void setTotalLoadedClassCount(long totalLoadedClassCount) {
    this.totalLoadedClassCount = totalLoadedClassCount;
  }

  /**
   * @return the loadedClassCount
   */
  public int getLoadedClassCount() {
    return loadedClassCount;
  }

  /**
   * @param loadedClassCount
   *          the loadedClassCount to set
   */
  public void setLoadedClassCount(int loadedClassCount) {
    this.loadedClassCount = loadedClassCount;
  }

  /**
   * @return the unloadClassCount
   */
  public long getUnloadedClassCount() {
    return unloadedClassCount;
  }

  /**
   * @param unloadedClassCount
   *          the unloadedClassCount to set
   */
  public void setUnloadedClassCount(long unloadedClassCount) {
    this.unloadedClassCount = unloadedClassCount;
  }

  /**
   * @return the totalCompilationTime
   */
  public long getTotalCompilationTime() {
    return totalCompilationTime;
  }

  /**
   * @param totalCompilationTime
   *          the totalCompilationTime to set
   */
  public void setTotalCompilationTime(long totalCompilationTime) {
    this.totalCompilationTime = totalCompilationTime;
  }

  /*
   * (non-Javadoc)
   * @see java.lang.Object#toString()
   */
  @Override
  public String toString() {
    return "[" + getTimestamp() + "|" + getName() + ": loaded=" + getLoadedClassCount() + ",total="
        + getTotalLoadedClassCount() + ",unloaded=" + getUnloadedClassCount() 
        + ",compilationtime=" + getTotalCompilationTime() + "]";
  }

  private long totalLoadedClassCount;
  private int loadedClassCount;
  private long unloadedClassCount;
  private long totalCompilationTime;
  private String name;
  private long timestamp;
}
