/**
 * 
 */
package x1.monitoring;

/**
 * @author joe
 * 
 */
public class SystemLoad implements MonitoringValue {
  /*
   * (non-Javadoc)
   * @see x1.monitoring.MonitoringValue#getId()
   */
  @Override
  public String getId() {
    return "os";
  }
  
  /**
   * @return the cpuUsage
   */
  public double getSystemLoadAverage() {
    return systemLoadAverage;
  }

  /**
   * @param systemLoadAverage
   *          the systemLoadAverage to set
   */
  public void setSystemLoadAverage(double systemLoadAverage) {
    this.systemLoadAverage = systemLoadAverage;
  }

  /**
   * @return the numProcessors
   */
  public int getNumProcessors() {
    return numProcessors;
  }

  /**
   * @param numProcessors
   *          the numProcessors to set
   */
  public void setNumProcessors(int numProcessors) {
    this.numProcessors = numProcessors;
  }

  /**
   * @return the name
   */
  public String getName() {
    return name;
  }

  /**
   * @param name
   *          the name to set
   */
  public void setName(String name) {
    this.name = name;
  }

  /**
   * @return the timestamp
   */
  public long getTimestamp() {
    return timestamp;
  }

  /**
   * @param timestamp
   *          the timestamp to set
   */
  public void setTimestamp(long timestamp) {
    this.timestamp = timestamp;
  }

  /**
   * @return the processCpuTime
   */
  public long getProcessCpuTime() {
    return processCpuTime;
  }

  /**
   * @param processCpuTime
   *          the processCpuTime to set
   */
  public void setProcessCpuTime(long processCpuTime) {
    this.processCpuTime = processCpuTime;
  }

  /**
   * @return the processCpuUsage
   */
  public int getProcessCpuUsage() {
    return processCpuUsage;
  }

  /**
   * @param processCpuUsage
   *          the processCpuUsage to set
   */
  public void setProcessCpuUsage(int processCpuUsage) {
    this.processCpuUsage = processCpuUsage;
  }

  /**
   * @return the nanoTime
   */
  public long getNanoTime() {
    return nanoTime;
  }

  /**
   * @param nanoTime
   *          the nanoTime to set
   */
  public void setNanoTime(long nanoTime) {
    this.nanoTime = nanoTime;
  }

  /*
   * (non-Javadoc)
   * 
   * @see java.lang.Object#toString()
   */
  @Override
  public String toString() {
    return "[" + getTimestamp() + "|" + getName() + ": load=" + getSystemLoadAverage() + ",numProcessors="
        + getNumProcessors() + ",processCpuTime=" + getProcessCpuTime() + ",processCpuUsage=" + getProcessCpuUsage()
        + "]";
  }

  private double systemLoadAverage;
  private int numProcessors;
  private String name;
  private long nanoTime;
  private long timestamp;
  private long processCpuTime;
  private int processCpuUsage;
}
