/**
 * 
 */
package x1.monitoring;

/**
 * @author joe
 * 
 */
public class FilesystemUsage implements MonitoringValue {

  /*
   * (non-Javadoc)
   * 
   * @see x1.monitoring.MonitoringValue#getId()
   */
  @Override
  public String getId() {
    return "disk";
  }

  /**
   * @return the timestamp
   */
  public long getTimestamp() {
    return timestamp;
  }

  /**
   * @param timestamp
   *          the timestamp to set
   */
  public void setTimestamp(long timestamp) {
    this.timestamp = timestamp;
  }

  /**
   * @return the diskUsages
   */
  public DiskUsage[] getDiskUsages() {
    return diskUsages;
  }

  /**
   * @param diskUsages
   *          the diskUsages to set
   */
  public void setDiskUsages(DiskUsage[] diskUsages) {
    this.diskUsages = diskUsages;
  }

  /*
   * (non-Javadoc)
   * 
   * @see java.lang.Object#toString()
   */
  @Override
  public String toString() {
    StringBuffer buffer = new StringBuffer();
    if (diskUsages != null) {
      for (DiskUsage diskUsage : diskUsages) {
        buffer.append(diskUsage.toString()).append("\n");
      }
    }
    return "[" + getTimestamp() + "|" + buffer.toString() + "]";
  }

  private DiskUsage[] diskUsages;
  private long timestamp;
}
