/**
 * 
 */
package x1.monitoring;

/**
 * @author joe
 * 
 */
public class MemoryUsage implements MonitoringValue {
  /*
   * (non-Javadoc)
   * 
   * @see x1.monitoring.MonitoringValue#getId()
   */
  @Override
  public String getId() {
    return "memory";
  }

  /**
   * @return the timestamp
   */
  public long getTimestamp() {
    return timestamp;
  }

  /**
   * @param timestamp
   *          the timestamp to set
   */
  public void setTimestamp(long timestamp) {
    this.timestamp = timestamp;
  }

  /**
   * @return the heapMemoryUsageInit
   */
  public long getHeapMemoryUsageInit() {
    return heapMemoryUsageInit;
  }

  /**
   * @param heapMemoryUsageInit
   *          the heapMemoryUsageInit to set
   */
  public void setHeapMemoryUsageInit(long heapMemoryUsageInit) {
    this.heapMemoryUsageInit = heapMemoryUsageInit;
  }

  /**
   * @return the heapMemoryUsageUsed
   */
  public long getHeapMemoryUsageUsed() {
    return heapMemoryUsageUsed;
  }

  /**
   * @param heapMemoryUsageUsed
   *          the heapMemoryUsageUsed to set
   */
  public void setHeapMemoryUsageUsed(long heapMemoryUsageUsed) {
    this.heapMemoryUsageUsed = heapMemoryUsageUsed;
  }

  /**
   * @return the heapMemoryUsageCommitted
   */
  public long getHeapMemoryUsageCommitted() {
    return heapMemoryUsageCommitted;
  }

  /**
   * @param heapMemoryUsageCommitted
   *          the heapMemoryUsageCommitted to set
   */
  public void setHeapMemoryUsageCommitted(long heapMemoryUsageCommitted) {
    this.heapMemoryUsageCommitted = heapMemoryUsageCommitted;
  }

  /**
   * @return the heapMemoryUsageMax
   */
  public long getHeapMemoryUsageMax() {
    return heapMemoryUsageMax;
  }

  /**
   * @param heapMemoryUsageMax
   *          the heapMemoryUsageMax to set
   */
  public void setHeapMemoryUsageMax(long heapMemoryUsageMax) {
    this.heapMemoryUsageMax = heapMemoryUsageMax;
  }

  /**
   * @return the nonHeapMemoryUsageInit
   */
  public long getNonHeapMemoryUsageInit() {
    return nonHeapMemoryUsageInit;
  }

  /**
   * @param nonHeapMemoryUsageInit
   *          the nonHeapMemoryUsageInit to set
   */
  public void setNonHeapMemoryUsageInit(long nonHeapMemoryUsageInit) {
    this.nonHeapMemoryUsageInit = nonHeapMemoryUsageInit;
  }

  /**
   * @return the nonHeapMemoryUsageUsed
   */
  public long getNonHeapMemoryUsageUsed() {
    return nonHeapMemoryUsageUsed;
  }

  /**
   * @param nonHeapMemoryUsageUsed
   *          the nonHeapMemoryUsageUsed to set
   */
  public void setNonHeapMemoryUsageUsed(long nonHeapMemoryUsageUsed) {
    this.nonHeapMemoryUsageUsed = nonHeapMemoryUsageUsed;
  }

  /**
   * @return the nonHeapMemoryUsageCommitted
   */
  public long getNonHeapMemoryUsageCommitted() {
    return nonHeapMemoryUsageCommitted;
  }

  /**
   * @param nonHeapMemoryUsageCommitted
   *          the nonHeapMemoryUsageCommitted to set
   */
  public void setNonHeapMemoryUsageCommitted(long nonHeapMemoryUsageCommitted) {
    this.nonHeapMemoryUsageCommitted = nonHeapMemoryUsageCommitted;
  }

  /**
   * @return the nonHeapMemoryUsageMax
   */
  public long getNonHeapMemoryUsageMax() {
    return nonHeapMemoryUsageMax;
  }

  /**
   * @param nonHeapMemoryUsageMax
   *          the nonHeapMemoryUsageMax to set
   */
  public void setNonHeapMemoryUsageMax(long nonHeapMemoryUsageMax) {
    this.nonHeapMemoryUsageMax = nonHeapMemoryUsageMax;
  }

  /**
   * @return the objectPendingFinalizationCount
   */
  public int getObjectPendingFinalizationCount() {
    return objectPendingFinalizationCount;
  }

  /**
   * @param objectPendingFinalizationCount
   *          the objectPendingFinalizationCount to set
   */
  public void setObjectPendingFinalizationCount(int objectPendingFinalizationCount) {
    this.objectPendingFinalizationCount = objectPendingFinalizationCount;
  }

  /*
   * (non-Javadoc)
   * 
   * @see java.lang.Object#toString()
   */
  @Override
  public String toString() {
    return "[" + getTimestamp() + "|usedHeap=" + getHeapMemoryUsageUsed() + ",usedNonHeap="
        + getNonHeapMemoryUsageUsed() + ",pending=" + getObjectPendingFinalizationCount() + "]";
  }

  private long heapMemoryUsageInit;
  private long heapMemoryUsageUsed;
  private long heapMemoryUsageCommitted;
  private long heapMemoryUsageMax;
  private long nonHeapMemoryUsageInit;
  private long nonHeapMemoryUsageUsed;
  private long nonHeapMemoryUsageCommitted;
  private long nonHeapMemoryUsageMax;
  private int objectPendingFinalizationCount;
  private long timestamp;
}
